diff --git a/debian/changelog b/debian/changelog
index 726d0d6..bf95aa0 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,10 @@
+dh-make (0.62+nmu1) UNRELEASED; urgency=low
+
+  * Non-maintainer upload.
+  * add wtfpl2 to licenses
+
+ -- Alf Gaida <agaida@siduction.org>  Sat, 03 Aug 2013 15:11:17 +0200
+
 dh-make (0.62) unstable; urgency=low
 
   * MIT license uses MIT for debian/* files, to be consistent Closes: #683800
diff --git a/dh_make b/dh_make
index 3c848db..2df3d07 100755
--- a/dh_make
+++ b/dh_make
@@ -149,7 +149,7 @@ sub show_help
   Usage: dh_make [options]
   -c, --copyright <type>    use <type> of license in copyright file
                             (apache|artistic|bsd|gpl|gpl2|gpl3|lgpl|lgpl2|
-                             lgpl3|mit)
+                             lgpl3|mit|wtfpl2)
   -C, --packageclass <cls>  set package class (s|i|k||l||m||n)
   -e, --email <address>     use <address> as the maintainer e-mail address
   -n, --native              the program is Debian native, don\'t generate .orig
@@ -252,9 +252,9 @@ sub parse_args
 		$main::package_class = 'n';
 	}
 	$main::license = lc $main::license;
-	if ($main::license ne "" && !($main::license =~ /^(gpl|gpl2|gpl3|lgpl|lgpl2|lgpl3|artistic|bsd|blank|apache|mit)$/))
+	if ($main::license ne "" && !($main::license =~ /^(gpl|gpl2|gpl3|lgpl|lgpl2|lgpl3|artistic|bsd|blank|apache|mit|wtfpl2)$/))
 	{ 
-		print "Copyright type \"$main::license\" is not gpl, gpl2, gpl3, lgpl, lgpl2, lgpl3, apache, artistic, bsd, blank or mit.\n";
+		print "Copyright type \"$main::license\" is not gpl, gpl2, gpl3, lgpl, lgpl2, lgpl3, apache, artistic, bsd, blank, wtfpl2 or mit.\n";
 		exit;
 	}
 	# Change the non-versioned into the latest version
diff --git a/lib/licenses/wtfpl2 b/lib/licenses/wtfpl2
new file mode 100644
index 0000000..aaaedcb
--- /dev/null
+++ b/lib/licenses/wtfpl2
@@ -0,0 +1,33 @@
+Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
+Upstream-Name: #PACKAGE#
+Source: <url://example.com>
+
+Files: *
+Copyright: <years> <put author's name and email here>
+           <years> <likewise for another author>
+License: WTFPL-2
+
+Files: debian/*
+Copyright: #YEAR# #USERNAME# <#EMAIL#>
+License: WTFPL-2
+
+License: WTFPL-2
+ DO WHAT THE FUCK YOU WANT TO PUBLIC LICENSE
+ Version 2, December 2004
+ .
+ Copyright (C) 2004 Sam Hocevar <sam@hocevar.net>
+ .
+ Everyone is permitted to copy and distribute verbatim or modified
+ copies of this license document, and changing it is allowed as long
+ as the name is changed.
+ .
+ DO WHAT THE FUCK YOU WANT TO PUBLIC LICENSE
+ TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION
+ .
+ 0. You just DO WHAT THE FUCK YOU WANT TO.
+
+# Please also look if there are files or directories which have a
+# different copyright/license attached and list them here.
+# Please avoid to pick license terms that are more restrictive than the
+# packaged work, as it may make Debian's contributions unacceptable upstream.
+
